Bug 507455 - Only list removeable media storage devices in o-c-storage if they have media present.
Only list removeable media storage devices in o-c-storage if they have media ...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
:
Depends On:
Blocks: 506892
  Show dependency treegraph
 
Reported: 2009-06-22 16:11 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-18 09:16:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Follow-on patch (7.83 KB, text/plain)
2009-07-10 09:37 EDT, Darryl L. Pierce
no flags Details

  None (edit)
Description Darryl L. Pierce 2009-06-22 16:11:06 EDT
When running "Storage configuration -> Configure" the following error is raised

(standard_in) 1: Parse error
/dev/sdb (mb)
"error: libhal_device_get_property_type: org.freedesktop.Hal.NoSuchProperty: No
property storage.removable.media_size on device with id ......"

This occurs on a machine with removable media bays (eg. cf/mmc/sd slots). 

In the machine I'm installing on there are 3 of these slots so the screen fills
with errors (which I can safely ignore)

The property removable.media_size will only exist if media is inserted in those
drivers.
The storage.removable.media_available property needs to be "true" before this
call should be made.
Comment 1 Darryl L. Pierce 2009-07-10 09:37:59 EDT
Created attachment 351260 [details]
Follow-on patch

Note You need to log in before you can comment on or make changes to this bug.